<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Relatório de Vendas do Dia", "active_page" => "financeiro"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<?php 


	$model = new Model();

	$vendas = $model->query("
		SELECT
			tbv.tipo_compra AS tipo_venda,
			SUM(tbv.valor_compra) AS total_vendido
		FROM (
			(
				SELECT 
					cmp.valor_compra,
					DATE_FORMAT(cmp.datahora_compra, '%Y-%m-%d') AS data_compra,
					'Venda Online' AS tipo_compra
				FROM compra cmp 
				WHERE 
					cmp.status_compra = 'S'
			) UNION ALL (
				SELECT
					lcp.valor_compra,
					DATE_FORMAT(lcp.data_hora_lancamento_compra, '%Y-%m-%d') AS data_compra,
					'Venda Física' AS tipo_compra
				FROM lancamento_compra lcp
			)
		) tbv 
		WHERE 
			tbv.data_compra = :data
		GROUP BY 
			tbv.tipo_compra
		ORDER BY 
			tbv.tipo_compra ASC
	", [
		":data" => date("Y-m-d")
	]);

	$total_venda_fisica = 0;
	$total_venda_online = 0;

	foreach ($vendas->fetchAll() as $i) {
		if ($i->tipo_venda == "Venda Online") {
			$total_venda_online += $i->total_vendido;
		}
		else if ($i->tipo_venda == "Venda Física") {
			$total_venda_fisica += $i->total_vendido;
		}
	}

?>

<h4 class="mb-3">
	<i class="fa-regular fa-file-invoice-dollar"></i> Relatório de Vendas do Dia (<?php echo date("d/m/Y"); ?>)
</h4>

<div class="form-row">
	<div class="col-md-4">
		<div class="content-box mb-3">
			<h3 class="text-center">
				<small>Venda Física</small><br>
				<?php echo money_mask_BR($total_venda_fisica); ?>
			</h3>
		</div>
	</div>

	<div class="col-md-4">
		<div class="content-box mb-3">
			<h3 class="text-center">
				<small>Venda Online</small><br>
				<?php echo money_mask_BR($total_venda_online); ?>
			</h3>
		</div>
	</div>

	<div class="col-md-4">
		<div class="content-box mb-3">
			<h3 class="text-center">
				<small>Total Vendido</small><br>
				<?php echo money_mask_BR($total_venda_fisica + $total_venda_online); ?>
			</h3>
		</div>
	</div>
</div>

<div class="content-box">
	<?php 

		$result = $model->query("
			SELECT
				tbv.nome_loja AS nome_loja,
				tbv.cpf_usuario AS cpf_usuario,
				tbv.email_usuario AS email_usuario,
				tbv.telefone_usuario AS telefone_usuario,
				tbv.tipo_compra AS tipo_venda,
				SUM(tbv.valor_compra) AS total_vendido
			FROM (
				(
					SELECT 
						loj.nome_loja,
						usr.cpf_usuario,
						usr.email_usuario,
						usr.telefone_usuario,
						cmp.valor_compra,
						DATE_FORMAT(cmp.datahora_compra, '%Y-%m-%d') AS data_compra,
						'Venda Online' AS tipo_compra
					FROM compra cmp 
					INNER JOIN produto pdt ON (cmp.id_produto = pdt.id_produto) 
					INNER JOIN loja loj ON (pdt.id_usuario = loj.id_usuario) 
					INNER JOIN usuario usr ON (loj.id_usuario = usr.id_usuario)
					WHERE 
						cmp.status_compra = 'S'
				) UNION ALL (
					SELECT
						loj.nome_loja,
						usr.cpf_usuario,
						usr.email_usuario,
						usr.telefone_usuario,
						lcp.valor_compra,
						DATE_FORMAT(lcp.data_hora_lancamento_compra, '%Y-%m-%d') AS data_compra,
						'Venda Física' AS tipo_compra
					FROM lancamento_compra lcp 
					INNER JOIN loja loj ON (lcp.id_loja = loj.id_loja) 
					INNER JOIN usuario usr ON (loj.id_usuario = usr.id_usuario)
				)
			) tbv 
			WHERE 
				tbv.data_compra = :data
			GROUP BY 
				tbv.nome_loja,
				tbv.tipo_compra
			ORDER BY 
				tbv.nome_loja ASC
		", [
			":data" => date("Y-m-d")
		]);

	?>

	<h5 class="mb-3">Total Vendido por Loja e Categoria</h5>

	<div class="table-responsive">
		<table class="table table-sm table-striped table-hover">
			<thead>
				<tr>
					<th class="text-left align-middle" style="width: 60%;">Loja</th>
					<th class="text-center align-middle" style="width: 30%;">Categoria</th>
					<th class="text-center align-middle" style="width: 10%;">Valor Total</th>
				</tr>
			</thead>
			<tbody>
				<?php foreach ($result->fetchAll() as $i): ?>
					<tr>
						<td class="align-middle text-left">
							<?php 

								echo "
									{$i->nome_loja}<br>
									<small>{$i->cpf_usuario}</small><br>
									<small>{$i->email_usuario} | {$i->telefone_usuario}</small>
								"; 

							?>
						</td>
						<td class="text-center align-middle"><?php echo $i->tipo_venda; ?></td>
						<td class="text-center align-middle"><?php echo money_mask_BR($i->total_vendido); ?></td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>